Last modified: 2013-06-18 16:58:07 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29524 - Rename RequestContext::getLang to getLanguage
Rename RequestContext::getLang to getLanguage
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.20.x
All All
: Normal enhancement (vote)
: ---
Assigned To: John Du Hart
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2011-06-22 06:49 UTC by Niklas Laxström
Modified: 2013-06-18 16:58 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Niklas Laxström 2011-06-22 06:49:47 UTC
Rename RequestContext::getLang to getLanguage. The truncated method name doesn't fit with the other methods and the full name is only four letters longer :)
Comment 1 John Du Hart 2011-11-21 16:23:07 UTC
r103817, but they'll likely be fallout from this. Keep an eye on it for a bit.
Comment 2 Platonides 2011-11-21 21:35:28 UTC
RequestContext::getLang() was added in 1.18. So either we also rename it there, or stick with the shorter name (take it as frozen).
Comment 3 Chad H. 2011-11-21 21:37:06 UTC
(In reply to comment #2)
> RequestContext::getLang() was added in 1.18. So either we also rename it there,
> or stick with the shorter name (take it as frozen).

Please, let's rename it there too.
Comment 4 John Du Hart 2011-11-21 22:47:04 UTC
Yeah I'm all for back-porting this. I'll update usage in extensions soon.
Comment 5 Platonides 2011-11-22 22:49:01 UTC
There's also a setLang() method which should presumably be changed to match the getter, too.
Comment 6 John Du Hart 2012-02-07 02:33:54 UTC
Apparently I did that r104015

Closing as no issues have arisen.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links